Bug 74259 - Internal compiler error
Internal compiler error
Product: Red Hat Raw Hide
Classification: Retired
Component: gcc (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Depends On:
  Show dependency treegraph
Reported: 2002-09-18 16:03 EDT by Need Real Name
Modified: 2007-04-18 12:46 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-10-01 12:46:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-09-18 16:03:49 EDT
Description of Problem:

The following program causes gcc to output an
Internal compiler error in expand_call, at calls.c:3062

struct { int : 0;} x;

void f(void)

Version-Release number of selected component (if applicable):

gcc version 2.92

How Reproducible:

Happens everytime.

Steps to Reproduce:
1. gcc file.c

Actual Results:

Above Internal compiler error.

Expected Results:

Not to give an internal error.

Additional Information:
The C Standard specifies, para 7, the behavior as being undefined.
gcc should fail more gracefully.
Comment 1 Vladimir Makarov 2004-10-01 12:46:52 EDT
Now gcc 2.92 is too old.   Its release cycle finished long ago.  So I
am closing the bug.  If it is still important, the customer could
reopen it.

Note You need to log in before you can comment on or make changes to this bug.